Subject: Re: [PATCH net 1/1] amd-xgbe: fix active cable determination

From: Jakub Kicinski <[email-masked]>
Date: Thu, 10 Nov 2022 17:11:01 -0800

On Fri, 11 Nov 2022 00:00:38 +0100 Thomas Kupper wrote:
> >> I apologise, after reading through all the guidelines I forgot that it
> >> was on top of the latest linux-kernel instead of net.
> >>
> >> Regarding the 'Fixes' tag: active cables don't works for at least since
> >> kernel v5.15, to what commit would you suggest do I refer to?  
> > Which exact sub-version of 5.15 ? Looking at the history of the file
> > commit 09c5f6bf11ac988743 seems like a candidate but you'd need to
> > double check based on what you know, or just revert and see if that
> > fixes your problem (to confirm that's the culprit).  
> 
> Checking with git blame shows that in commit abf0a1c2b26ad from 
> 2016-11-10 the whole if, else if ... clause plus a lot more was 
> introduced. And since then the handling of the active cables was 
> missing. The check (for the passive cable) got moved up in the commit 
> you mentioned.
> 
> I would then use 'Fixes: abf0a1c2b26ad ...', right?

Yup, sounds like it! Make sure you use the exact format from here
https://www.kernel.org/doc/html/v4.12/process/submitting-patches.html#describe-your-changes
don't wrap the line, and don't separate the tags with empty lines.
The Fixes tags are used by automated backport machinery so we need
exact format to be followed.

> And sent pretty much the same mail as the first time, with Tom and
> Raju CCed? And Patchwork will realise that?

You can throw in v2 into the subject tag to avoid any confusion:
[PATCH new v2] and that's it, yes :)